net.sf.jasperreports.engine.fill

## Class JRTemplatePrintGraphicElement

- java.lang.Object
- - net.sf.jasperreports.engine.fill.JRTemplatePrintElement
  - - net.sf.jasperreports.engine.fill.JRTemplatePrintGraphicElement

- All Implemented Interfaces:
    java.io.Serializable, JRCommonElement, JRCommonGraphicElement, JRIdentifiable, JRPenContainer, JRPrintElement, JRPrintGraphicElement, JRPropertiesHolder, JRStyleContainer, VirtualizationSerializable
  Direct Known Subclasses:
    JRTemplatePrintEllipse, JRTemplatePrintImage, JRTemplatePrintLine, JRTemplatePrintRectangle

      public class JRTemplatePrintGraphicElement
      extends JRTemplatePrintElement
      implements JRPrintGraphicElement

  Base implementation of `JRPrintGraphicElement` that uses a `JRTemplateGraphicElement` instance to store common attributes.
  Version:
    $Id: JRTemplatePrintGraphicElement.java 6770 2013-11-22 14:48:55Z lucianc $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class net.sf.jasperreports.engine.fill.JRTemplatePrintElement

      `template`

    - ### Fields inherited from interface net.sf.jasperreports.engine.JRPrintElement

      `UNSET_PRINT_ELEMENT_ID, UNSET_SOURCE_ELEMENT_ID`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `` | `JRTemplatePrintGraphicElement()`
    `protected` | `JRTemplatePrintGraphicElement(JRTemplateGraphicElement graphicElement)` Deprecated. provide a source Id via `JRTemplatePrintGraphicElement(JRTemplateGraphicElement, int)`
    `protected` | `JRTemplatePrintGraphicElement(JRTemplateGraphicElement graphicElement, int sourceElementId)` Deprecated. replaced by `JRTemplatePrintGraphicElement(JRTemplateGraphicElement, PrintElementOriginator)`
    `protected` | `JRTemplatePrintGraphicElement(JRTemplateGraphicElement graphicElement, PrintElementOriginator originator)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.awt.Color` | `getDefaultLineColor()`
    `java.lang.Float` | `getDefaultLineWidth()`
    `FillEnum` | `getFillValue()` Indicates the fill type used for this element.
    `JRPen` | `getLinePen()`
    `FillEnum` | `getOwnFillValue()` Indicates the own fill type used for this element.
    `void` | `setFill(FillEnum fill)` Sets the fill type used for this element.

    - ### Methods inherited from class net.sf.jasperreports.engine.fill.JRTemplatePrintElement

      `accept, getBackcolor, getDefaultStyleProvider, getForecolor, getHeight, getKey, getModeValue, getOrigin, getOwnBackcolor, getOwnForecolor, getOwnModeValue, getParentProperties, getPrintElementId, getPropertiesMap, getSourceElementId, getStyle, getStyleNameReference, getTemplate, getUUID, getWidth, getX, getY, hasProperties, readVirtualized, setBackcolor, setForecolor, setHeight, setMode, setSourceElementId, setStyle, setTemplate, setUUID, setWidth, setX, setY, updateElementTemplate, writeVirtualized`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRPrintElement

      `accept, getHeight, getKey, getOrigin, getPrintElementId, getSourceElementId, getWidth, getX, getY, setHeight, setStyle, setUUID, setWidth, setX, setY`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRPropertiesHolder

      `getParentProperties, getPropertiesMap, hasProperties`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRIdentifiable

      `getUUID`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRCommonElement

      `getBackcolor, getForecolor, getModeValue, getOwnBackcolor, getOwnForecolor, getOwnModeValue, setBackcolor, setForecolor, setMode`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRStyleContainer

      `getDefaultStyleProvider, getStyle, getStyleNameReference`

- - ### Constructor Detail

    - #### JRTemplatePrintGraphicElement

          public JRTemplatePrintGraphicElement()

    - #### JRTemplatePrintGraphicElement

          protected JRTemplatePrintGraphicElement(JRTemplateGraphicElement graphicElement)

      Deprecated. provide a source Id via `JRTemplatePrintGraphicElement(JRTemplateGraphicElement, int)`

    - #### JRTemplatePrintGraphicElement

          protected JRTemplatePrintGraphicElement(JRTemplateGraphicElement graphicElement,
                                       int sourceElementId)

      Deprecated. replaced by `JRTemplatePrintGraphicElement(JRTemplateGraphicElement, PrintElementOriginator)`
      Parameters:
        `sourceElementId` - the Id of the source element

    - #### JRTemplatePrintGraphicElement

          protected JRTemplatePrintGraphicElement(JRTemplateGraphicElement graphicElement,
                                       PrintElementOriginator originator)

      Parameters:
        `originator` -

  - ### Method Detail

    - #### getLinePen

          public JRPen getLinePen()

      Specified by:
        `getLinePen` in interface `JRCommonGraphicElement`

    - #### getFillValue

          public FillEnum getFillValue()

      Description copied from interface: `JRCommonGraphicElement`
      Indicates the fill type used for this element.
      Specified by:
        `getFillValue` in interface `JRCommonGraphicElement`
      Returns:
        a value representing one of the fill type constants in `FillEnum`

    - #### getOwnFillValue

          public FillEnum getOwnFillValue()

      Description copied from interface: `JRCommonGraphicElement`
      Indicates the own fill type used for this element.
      Specified by:
        `getOwnFillValue` in interface `JRCommonGraphicElement`
      Returns:
        a value representing one of the fill type constants in `FillEnum`

    - #### setFill

          public void setFill(FillEnum fill)

      Description copied from interface: `JRPrintGraphicElement`
      Sets the fill type used for this element.
      Specified by:
        `setFill` in interface `JRCommonGraphicElement`
      Specified by:
        `setFill` in interface `JRPrintGraphicElement`
      Parameters:
        `fill` - one of the pen constants in `FillEnum`.

    - #### getDefaultLineWidth

          public java.lang.Float getDefaultLineWidth()

      Specified by:
        `getDefaultLineWidth` in interface `JRPenContainer`

    - #### getDefaultLineColor

          public java.awt.Color getDefaultLineColor()

      Specified by:
        `getDefaultLineColor` in interface `JRPenContainer`
      Overrides:
        `getDefaultLineColor` in class `JRTemplatePrintElement`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com